Bug 152762 - Yum for RH9 page needs extra step - import RedHat GPG Key
Summary: Yum for RH9 page needs extra step - import RedHat GPG Key
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: General   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.fedoralegacy.org/docs/yum-...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-10 23:29 UTC by David Lawrence
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:26:34 UTC
Following the instructions as written gives the error:

"Could not find the GPG Key necessary to validate pkg"

when yum does a download (in step 3).  Yum suggests deleting the rpm and trying
again.

Actually it's a missing GPG signature, as suggested by
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=121874  

Step 2.2.1 on the page should read something like:

If you don't already have the RedHat GPG signature imported [insert reason I
might not have had it imported previously, as a rpm user], you need to import it
as follows:

rpm --import /usr/share/doc/redhat-release-9/RPM-GPG-KEY

If this signature isn't imported you'll see messages like "Could not find the
GPG Key necessary to validate pkg".



------- Additional Comments From rostetter@mail.utexas.edu 2004-09-07 16:22:00 ----

Resolved earlier today, before I knew of this bug report, in a slightly different
way (just unconditionally try to import the key from Red Hat's web site).



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:26 -------

This bug previously known as bug 1963 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1963
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown operating system All. Setting to default OS "Linux".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was bill+fedora.us@zettabyte.net.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.